package enum

type AliyunOss int32

const (
	AliyunOssEndpoint        = 1
	AliyunOssBucketName      = 2
	AliyunOssBucketScheme    = 3
	AliyunOssAccessKeyID     = 4
	AliyunOssAccessKeySecret = 5
	AliyunOssDomain          = 6
)

func (gt AliyunOss) String() string {
	switch gt {
	case AliyunOssEndpoint:
		return "oss_endpoint"
	case AliyunOssBucketName:
		return "oss_bucket_name"
	case AliyunOssBucketScheme:
		return "oss_bucket_scheme"
	case AliyunOssAccessKeyID:
		return "oss_access_key_id"
	case AliyunOssAccessKeySecret:
		return "oss_access_key_secret"
	case AliyunOssDomain:
		return "oss_domain"

	default:
		return "未知"
	}
}
